#!/usr/bin/python
#dv3d_data_updateAllViews.py
#Update all vtk views in one shot .. save doing in in separate scripts
#DV3D refactor 2
#AG 26/07/2013


def dv3d_data_updateAllViews(tpw):
    #3d    
    #tpw.ren3d.ResetCamera()
    tpw.iwidget_3d.interactor.Render()
    
    #2d
    tpw.ren1.ResetCamera()
    tpw.ren2.ResetCamera()
    tpw.ren3.ResetCamera()
    tpw.iwidget_2dX.interactor.Render()
    tpw.iwidget_2dY.interactor.Render()
    tpw.iwidget_2dZ.interactor.Render()
